From 10aad11d7baf7044328fff616b9c6f1859bd2cbd Mon Sep 17 00:00:00 2001
From: Sebastian Pipping <sebastian@pipping.org>
Date: Sun, 8 Jan 2012 17:36:20 +0100
Subject: [PATCH 1/2] Use actual filenames for unpacking (rather than
 "part[0-9]+")

Example:
# curl http://pbot.rmdir.de/b224d87617c5d76d6cd938bd4410fabf | ./munpack
---
 decode.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/decode.c b/decode.c
index 8b8df56..7349abd 100644
--- a/decode.c
+++ b/decode.c
@@ -546,8 +546,8 @@ getDispositionFilename(char *disposition)
 	SkipWhitespace(&disposition);
 	if (!disposition) return 0;
 
-	/* If we're looking at a ";", we found what we're looking for */
-	if (*disposition++ == ';') break;
+	/* If we're looking at a "=", we found what we're looking for */
+	if (*disposition++ == '=') break;
     }
 
     SkipWhitespace(&disposition);
-- 
1.7.8.3

